package com.liquidnet.client.admin.web.controller.zhengzai.goblin;


import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.liquidnet.client.admin.common.core.controller.BaseController;
import com.liquidnet.client.admin.common.core.domain.AjaxResult;
import com.liquidnet.commons.lang.util.CollectionUtil;
import com.liquidnet.service.adam.entity.AdamMemberCodeBatch;
import com.liquidnet.service.goblin.entity.GoblinFrontBanner;
import com.liquidnet.service.goblin.entity.GoblinSelfMarketing;
import com.liquidnet.service.goblin.entity.GoblinStoreMarketing;
import com.liquidnet.service.goblin.mapper.GoblinSelfMarketingMapper;
import com.liquidnet.service.goblin.mapper.GoblinStoreMarketingMapper;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 秒杀表 前端控制器
 * </p>
 *
 * @author liquidnet
 * @since 2021-12-29
 */
@RestController
@RequestMapping("/seckill")
public class GoblinFrontSeckillController extends BaseController {
    @Autowired
    GoblinStoreMarketingMapper goblinStoreMarketingMapper;
    @Autowired
    GoblinSelfMarketingMapper goblinSelfMarketingMapper;

    /**
     * @author zhangfuxin
     * @Description:活动列表
     * @date 2021/12/29 下午2:51
     */
    @PostMapping("listActivity")
    @ApiOperation(value = "活动列表")
    @ResponseBody
    public AjaxResult listActivity() {
        //goblin_store_marketing
        LambdaQueryWrapper<GoblinStoreMarketing> queryWrapper = Wrappers.lambdaQuery(GoblinStoreMarketing.class);
        queryWrapper.ne(GoblinStoreMarketing::getStatus, 7);
        List<GoblinStoreMarketing> listStoreMarketing= goblinStoreMarketingMapper.selectList(queryWrapper);
        //goblin_self_marketing
        LambdaQueryWrapper<GoblinSelfMarketing> queryWrapperM = Wrappers.lambdaQuery(GoblinSelfMarketing.class);
        queryWrapperM.ne(GoblinSelfMarketing::getStatus,7);
        List<GoblinSelfMarketing> listGoblinSelfMarketing=goblinSelfMarketingMapper.selectList(queryWrapperM);
        //整合
        HashMap<String, Object> list= CollectionUtil.mapStringObject();
        list.put("listStoreMarketing",listStoreMarketing);
        list.put("listGoblinSelfMarketing",listGoblinSelfMarketing);
        return  AjaxResult.success(list);
        }
    }

    /**
     * @author zhangfuxin
     * @Description:限时秒杀添加
     * @date 2021/12/29 下午2:51
     */

    /**
     * @author zhangfuxin
     * @Description:限时秒杀修改
     * @date 2021/12/29 下午2:52
     */
    
    /***
     * @author zhangfuxin
     * @Description:限时秒杀删除
     * @date 2021/12/29 下午2:52
     */
    
    
    /**
     * @author zhangfuxin
     * @Description:限时秒杀分页
     * @date 2021/12/29 下午2:52
     */

    /**
     * @author zhangfuxin
     * @Description:限时秒杀详情
     * @date 2021/12/29 下午2:54
     */
}
